Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Yet Another Free Raytracer.
Name:		yafray
Version:	0.0.9
Release:	5	
License:	LGPL
URL:		http://www.yafray.org
Group:		Graphics
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-0.0.8-scons.patch
Patch1:		%{name}-0.0.8-libdir.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libjpeg-devel 
BuildRequires:  zlib-devel 
BuildRequires:  sed 
BuildRequires:  scons
BuildRequires:  OpenEXR-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel


%description
Yet Another Free Raytracer.

%prep
%setup -n %{name}
# Add prefix, destdir and libdir option to scons build
%patch0 -p3
%patch1

%pre
ldconfig

%post
ldconfig

%build
scons prefix=%_prefix

%install
rm -rf $RPM_BUILD_ROOT
scons prefix="%_prefix" destdir="$RPM_BUILD_ROOT" libdir=/lib install
find $RPM_BUILD_ROOT -name .sconsign -exec rm \{\} \
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_prefix/etc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.9-5
- rebuilt against libstdc++ 1:4.1.2
* Fri Dec 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.9-4
- rebuilt against OpenEXR 1.6.1 / ilmbase 1.0.1
* Sat Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.9-3
- rebuilt against OpenEXR 1.4.0a
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.9-2
- rebuilt against OpenEXR 1.3.0
* Sun Aug 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.9-1
- version update
* Sun Nov 27 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.0.8-2
- fixed libdir
* Sat Nov 26 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.0.8-1
- Initial Release
